> For the complete documentation index, see [llms.txt](https://docs.whisk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whisk.com/master/api/meal-plans/error-handling.md).

# Error Handling

All API endpoints may return the following error codes:

## 400

`400`- Bad Request. Something was wrong with data provided in the request. The response includes a JSON object with more data on the error.

```javascript
{
    "code":"general.badRequest","message":"Invalid date: GrpcDate(2020,3,128)"
}
```

Possible codes:

* general.badRequest - Invalid data format in request
* general.notFound - The ID of the provided entity was not found

## 401

`401`- Unauthorized. The token provided in the Authorization header is invalid or has expired. The response includes a JSON object with more data on the error.

```javascript
{
    "code":"auth.tokenNotFound"
}
```

Possible codes:

* `auth.tokenNotFound`
* `auth.tokenExpired`
* `auth.tokenInvalid`
* `auth.tokenRequired`

## 500

`500`- Internal Server Error. Something nasty is going on our side. Please send a message to <help@whisk.com>, and be sure to include both the Request and Response data. We’ll get back to you soon.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whisk.com/master/api/meal-plans/error-handling.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
